### Hierarchy

- IJenkinsObject
  - IJenkinsAction

### Implemented by

- JenkinsAction
- JenkinsTimeInQueueAction

## Index

### Properties

- _class
- data

### Methods

- fromJson
- fromJsonString
- get
- getJsonData
- has
- isClass
- isTimeInQueueActionClass

## Properties

### _class

_class: string

Inherited from IJenkinsObject._class

- Defined in jenkins-api-ts-typings.ts:25

### data

data: Map<string, any>

- Defined in jenkins-api-ts-typings.ts:169

## Methods

### fromJson

- fromJson(json: JSON): void

- Inherited from IJenkinsObject.fromJson

  - Defined in jenkins-api-ts-typings.ts:27

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Inherited from IJenkinsObject.fromJsonString

  - Defined in jenkins-api-ts-typings.ts:28

  #### Parameters

  - ##### json: string

  #### Returns void

### get

- get(keyName: string): any

- - Defined in jenkins-api-ts-typings.ts:175

  #### Parameters

  - ##### keyName: string

  #### Returns any

### getJsonData

- getJsonData(): string

- Inherited from IJenkinsObject.getJsonData

  - Defined in jenkins-api-ts-typings.ts:26

  #### Returns string

### has

- has(keyName: string): boolean

- - Defined in jenkins-api-ts-typings.ts:174

  #### Parameters

  - ##### keyName: string

  #### Returns boolean

### isClass

- isClass(className: string): boolean

- - Defined in jenkins-api-ts-typings.ts:170

  #### Parameters

  - ##### className: string

  #### Returns boolean

### isTimeInQueueActionClass

- isTimeInQueueActionClass(): boolean

- - Defined in jenkins-api-ts-typings.ts:172

  #### Returns boolean

Generated using TypeDoc